Ruby: rb_heap_struct Struct Reference

Ruby 3.4.4p34 (2025-05-14 revision a38531fd3f617bf734ef7d6c595325f69985ea1d)

Data Fields
rb_heap_struct Struct Reference

## Data Fields
short | slot_size
size_t | total_allocated_pages
size_t | force_major_gc_count
size_t | force_incremental_marking_finish_count
size_t | total_allocated_objects
size_t | total_freed_objects
size_t | final_slots_count
size_t | freed_slots
size_t | empty_slots
struct heap_page * | free_pages
struct ccan_list_head | pages
struct heap_page * | sweeping_page
struct heap_page * | compact_cursor
uintptr_t | compact_cursor_index
struct heap_page * | pooled_pages
size_t | total_pages
size_t | total_slots

## Detailed Description

Definition at line 405 of file default.c.

## Field Documentation

## ◆ compact_cursor

struct heap_page* rb_heap_struct::compact_cursor

Definition at line 423 of file default.c.

## ◆ compact_cursor_index

uintptr_t rb_heap_struct::compact_cursor_index

Definition at line 424 of file default.c.

## ◆ empty_slots

size_t rb_heap_struct::empty_slots

Definition at line 418 of file default.c.

## ◆ final_slots_count

size_t rb_heap_struct::final_slots_count

Definition at line 414 of file default.c.

## ◆ force_incremental_marking_finish_count

size_t rb_heap_struct::force_incremental_marking_finish_count

Definition at line 411 of file default.c.

## ◆ force_major_gc_count

size_t rb_heap_struct::force_major_gc_count

Definition at line 410 of file default.c.

## ◆ free_pages

struct heap_page* rb_heap_struct::free_pages

Definition at line 420 of file default.c.

## ◆ freed_slots

size_t rb_heap_struct::freed_slots

Definition at line 417 of file default.c.

## ◆ pages

struct ccan_list_head rb_heap_struct::pages

Definition at line 421 of file default.c.

## ◆ pooled_pages

struct heap_page* rb_heap_struct::pooled_pages

Definition at line 425 of file default.c.

## ◆ slot_size

short rb_heap_struct::slot_size

Definition at line 406 of file default.c.

## ◆ sweeping_page

struct heap_page* rb_heap_struct::sweeping_page

Definition at line 422 of file default.c.

## ◆ total_allocated_objects

size_t rb_heap_struct::total_allocated_objects

Definition at line 412 of file default.c.

## ◆ total_allocated_pages

size_t rb_heap_struct::total_allocated_pages

Definition at line 409 of file default.c.

## ◆ total_freed_objects

size_t rb_heap_struct::total_freed_objects

Definition at line 413 of file default.c.

## ◆ total_pages

size_t rb_heap_struct::total_pages

Definition at line 426 of file default.c.

## ◆ total_slots

size_t rb_heap_struct::total_slots

Definition at line 427 of file default.c.

The documentation for this struct was generated from the following file:

- gc/default/default.c